## org.eclipse.emf.ecore
Interface EPackage.Registry

All Superinterfaces:
  java.util.Map<java.lang.String,java.lang.Object>

All Known Implementing Classes:
  EPackageRegistryImpl, EPackageRegistryImpl.Delegator

Enclosing interface:
  EPackage

    public static interface EPackage.Registry

extends java.util.Map<java.lang.String,java.lang.Object>

A map from `namespace URI` to `EPackage`.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static EPackage.Registry` `INSTANCE`

Method Summary
`EFactory` `getEFactory(java.lang.String nsURI)` Looks up the value in the map, converting `EPackage.Descriptor` objects to `EFactory` objects on demand.
`EPackage` `getEPackage(java.lang.String nsURI)` Looks up the value in the map, converting `EPackage.Descriptor` objects to `EPackage` objects on demand.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### INSTANCE

    static final EPackage.Registry INSTANCE

Method Detail

### getEPackage

    EPackage getEPackage(java.lang.String nsURI)

  Looks up the value in the map, converting `EPackage.Descriptor` objects to `EPackage` objects on demand.

### getEFactory

    EFactory getEFactory(java.lang.String nsURI)

  Looks up the value in the map, converting `EPackage.Descriptor` objects to `EFactory` objects on demand.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.